GDB (xrefs)

Classes | Macros | Typedefs | Enumerations | Functions
/tmp/gdb-8.1/gdb/ui-out.h File Reference
`#include <vector>`
`#include "common/enum-flags.h"`

Go to the source code of this file.

## Classes
class | ui_out
class | ui_out_emit_type< Type >
class | ui_out_emit_table
class | ui_out_redirect_pop

## Macros
#define | current_uiout (*current_ui_current_uiout_ptr ())

## Typedefs
typedef ui_out_emit_type< ui_out_type_tuple > | ui_out_emit_tuple
typedef ui_out_emit_type< ui_out_type_list > | ui_out_emit_list

## Enumerations
enum | ui_align { ui_left = -1, ui_center, ui_right, ui_noalign }
enum | ui_out_flag { ui_source_list = (1 << 0) }
enum | ui_out_type { ui_out_type_tuple, ui_out_type_list }

## Functions
struct ui_out ** | current_ui_current_uiout_ptr (void)
| DEF_ENUM_FLAGS_TYPE (ui_out_flag, ui_out_flags)
struct cleanup * | make_cleanup_ui_out_list_begin_end (struct ui_out *uiout, const char *id)
struct cleanup * | make_cleanup_ui_out_tuple_begin_end (struct ui_out *uiout, const char *id)

## Macro Definition Documentation

## ◆ current_uiout

#define current_uiout (*current_ui_current_uiout_ptr ())

Definition at line 39 of file ui-out.h.

Referenced by auto_load_info_scripts(), backtrace_command_1(), bkpt_print_it(), bkpt_print_mention(), bppy_get_commands(), breakpoint_1(), cmd_show_list(), complete_command(), darwin_debug_regions_recurse(), default_collect_info(), disable_probes_command(), do_gdb_disassembly(), do_show_command(), enable_probes_command(), execute_command_to_string(), execute_control_command(), execute_gdb_command(), flash_erase_command(), frame_command(), gdbscm_breakpoint_commands(), gen_ui_out_table_header_info(), generic_load(), handle_redirections(), i386_mpx_print_bounds(), info_auto_load_cmd(), info_auto_load_libthread_db(), info_inferiors_command(), info_osdata(), info_probes_for_spops(), info_sharedlibrary_command(), info_skip_command(), info_spu_dma_cmdlist(), info_spu_dma_command(), info_spu_event_command(), info_spu_mailbox_command(), info_spu_mailbox_list(), info_spu_proxydma_command(), info_spu_signal_command(), info_static_tracepoint_markers_command(), info_tasks_command(), info_threads_command(), info_tracepoints_command(), info_watchpoints_command(), interp_set(), ioscm_with_output_to_port_worker(), list_arg_or_local(), list_args_or_locals(), list_available_thread_groups(), list_cp_abis(), load_progress(), maintenance_info_bfds(), maintenance_info_program_spaces_command(), mention(), mi_cmd_ada_task_info(), mi_cmd_add_inferior(), mi_cmd_data_evaluate_expression(), mi_cmd_data_list_changed_registers(), mi_cmd_data_list_register_names(), mi_cmd_data_list_register_values(), mi_cmd_data_read_memory(), mi_cmd_data_read_memory_bytes(), mi_cmd_disassemble(), mi_cmd_env_dir(), mi_cmd_env_path(), mi_cmd_env_pwd(), mi_cmd_file_list_exec_source_file(), mi_cmd_file_list_exec_source_files(), mi_cmd_file_list_shared_libraries(), mi_cmd_gdb_exit(), mi_cmd_inferior_tty_show(), mi_cmd_info_ada_exceptions(), mi_cmd_info_gdb_mi_command(), mi_cmd_list_features(), mi_cmd_list_target_features(), mi_cmd_list_thread_groups(), mi_cmd_stack_info_depth(), mi_cmd_stack_list_args(), mi_cmd_stack_list_frames(), mi_cmd_stack_list_locals(), mi_cmd_stack_list_variables(), mi_cmd_symbol_list_lines(), mi_cmd_thread_info(), mi_cmd_thread_list_ids(), mi_cmd_thread_select(), mi_cmd_trace_frame_collected(), mi_cmd_var_assign(), mi_cmd_var_create(), mi_cmd_var_delete(), mi_cmd_var_evaluate_expression(), mi_cmd_var_info_expression(), mi_cmd_var_info_num_children(), mi_cmd_var_info_path_expression(), mi_cmd_var_info_type(), mi_cmd_var_list_children(), mi_cmd_var_set_format(), mi_cmd_var_show_attributes(), mi_cmd_var_show_format(), mi_cmd_var_update(), mi_execute_command(), mi_load_progress(), mi_print_breakpoint_for_event(), output_register(), pop_output_files(), print_breakpoint_location(), print_disassembly(), print_frame(), print_frame_arg(), print_frame_args(), print_frame_info(), print_it_catch_exec(), print_it_catch_fork(), print_it_catch_solib(), print_it_catch_syscall(), print_it_catch_vfork(), print_it_exception(), print_it_exception_catchpoint(), print_it_masked_watchpoint(), print_it_ranged_breakpoint(), print_it_watchpoint(), print_mention_exception(), print_mention_exception_catchpoint(), print_mention_masked_watchpoint(), print_mention_ranged_breakpoint(), print_mention_watchpoint(), print_one_breakpoint(), print_one_breakpoint_location(), print_one_catch_exec(), print_one_catch_fork(), print_one_catch_solib(), print_one_catch_syscall(), print_one_catch_vfork(), print_one_exception(), print_one_exception_catchpoint(), print_one_inferior(), print_one_ranged_breakpoint(), print_one_static_tracepoint_marker(), print_partial_file_name(), print_script(), print_solib_event(), print_source_lines_base(), print_stack_frame(), print_stack_frame_to_uiout(), print_stop_event(), print_transfer_performance(), print_ui_out_info(), print_ui_out_not_applicables(), print_variable_or_computed(), print_varobj(), read_frame_arg(), record_btrace_call_history(), record_btrace_call_history_range(), record_btrace_insn_history(), record_btrace_insn_history_range(), restore_selected_frame(), run_command_1(), safe_execute_command(), save_breakpoints(), show_cp_abi_cmd(), show_remote_cmd(), show_user_1(), signal_catchpoint_print_it(), signal_catchpoint_print_one(), task_command(), tfind_1(), thread_command(), trace_status_mi(), tracepoint_print_mention(), tui_setup_io(), tvariables_info_1(), update_static_tracepoint(), varobj_update_one(), and watchpoint_check().

## Typedef Documentation

## ◆ ui_out_emit_list

typedef ui_out_emit_type<ui_out_type_list> ui_out_emit_list

Definition at line 215 of file ui-out.h.

## ◆ ui_out_emit_tuple

typedef ui_out_emit_type<ui_out_type_tuple> ui_out_emit_tuple

Definition at line 214 of file ui-out.h.

## Enumeration Type Documentation

## ◆ ui_align

enum ui_align

Enumerator
ui_left |
ui_center |
ui_right |
ui_noalign |

Definition at line 42 of file ui-out.h.

## ◆ ui_out_flag

enum ui_out_flag

Enumerator
ui_source_list |

Definition at line 51 of file ui-out.h.

## ◆ ui_out_type

enum ui_out_type

Enumerator
ui_out_type_tuple |
ui_out_type_list |

Definition at line 63 of file ui-out.h.

## Function Documentation

## ◆ current_ui_current_uiout_ptr()

struct ui_out** current_ui_current_uiout_ptr | ( | void |  | ) |

## ◆ DEF_ENUM_FLAGS_TYPE()

DEF_ENUM_FLAGS_TYPE | ( | ui_out_flag | ,
|  | ui_out_flags |
| ) |  |

## ◆ make_cleanup_ui_out_list_begin_end()

struct cleanup* make_cleanup_ui_out_list_begin_end | ( | struct ui_out * | uiout,
|  | const char * | id
| ) |  |

Definition at line 478 of file ui-out.c.

References ui_out::begin(), make_cleanup_ui_out_end(), and ui_out_type_list.

Referenced by btrace_insn_history(), and btrace_print_lines().

## ◆ make_cleanup_ui_out_tuple_begin_end()

struct cleanup* make_cleanup_ui_out_tuple_begin_end | ( | struct ui_out * | uiout,
|  | const char * | id
| ) |  |

Definition at line 470 of file ui-out.c.

References ui_out::begin(), make_cleanup_ui_out_end(), and ui_out_type_tuple.

Referenced by btrace_insn_history(), and btrace_print_lines().